/*******************************************************************************
* File Name: CAN_Rx.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CAN_Rx_H) /* Pins CAN_Rx_H */
#define CY_PINS_CAN_Rx_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CAN_Rx_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CAN_Rx__PORT == 15 && ((CAN_Rx__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    CAN_Rx_Write(uint8 value);
void    CAN_Rx_SetDriveMode(uint8 mode);
uint8   CAN_Rx_ReadDataReg(void);
uint8   CAN_Rx_Read(void);
void    CAN_Rx_SetInterruptMode(uint16 position, uint16 mode);
uint8   CAN_Rx_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the CAN_Rx_SetDriveMode() function.
     *  @{
     */
        #define CAN_Rx_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define CAN_Rx_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define CAN_Rx_DM_RES_UP          PIN_DM_RES_UP
        #define CAN_Rx_DM_RES_DWN         PIN_DM_RES_DWN
        #define CAN_Rx_DM_OD_LO           PIN_DM_OD_LO
        #define CAN_Rx_DM_OD_HI           PIN_DM_OD_HI
        #define CAN_Rx_DM_STRONG          PIN_DM_STRONG
        #define CAN_Rx_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define CAN_Rx_MASK               CAN_Rx__MASK
#define CAN_Rx_SHIFT              CAN_Rx__SHIFT
#define CAN_Rx_WIDTH              1u

/* Interrupt constants */
#if defined(CAN_Rx__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in CAN_Rx_SetInterruptMode() function.
     *  @{
     */
        #define CAN_Rx_INTR_NONE      (uint16)(0x0000u)
        #define CAN_Rx_INTR_RISING    (uint16)(0x0001u)
        #define CAN_Rx_INTR_FALLING   (uint16)(0x0002u)
        #define CAN_Rx_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define CAN_Rx_INTR_MASK      (0x01u) 
#endif /* (CAN_Rx__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CAN_Rx_PS                     (* (reg8 *) CAN_Rx__PS)
/* Data Register */
#define CAN_Rx_DR                     (* (reg8 *) CAN_Rx__DR)
/* Port Number */
#define CAN_Rx_PRT_NUM                (* (reg8 *) CAN_Rx__PRT) 
/* Connect to Analog Globals */                                                  
#define CAN_Rx_AG                     (* (reg8 *) CAN_Rx__AG)                       
/* Analog MUX bux enable */
#define CAN_Rx_AMUX                   (* (reg8 *) CAN_Rx__AMUX) 
/* Bidirectional Enable */                                                        
#define CAN_Rx_BIE                    (* (reg8 *) CAN_Rx__BIE)
/* Bit-mask for Aliased Register Access */
#define CAN_Rx_BIT_MASK               (* (reg8 *) CAN_Rx__BIT_MASK)
/* Bypass Enable */
#define CAN_Rx_BYP                    (* (reg8 *) CAN_Rx__BYP)
/* Port wide control signals */                                                   
#define CAN_Rx_CTL                    (* (reg8 *) CAN_Rx__CTL)
/* Drive Modes */
#define CAN_Rx_DM0                    (* (reg8 *) CAN_Rx__DM0) 
#define CAN_Rx_DM1                    (* (reg8 *) CAN_Rx__DM1)
#define CAN_Rx_DM2                    (* (reg8 *) CAN_Rx__DM2) 
/* Input Buffer Disable Override */
#define CAN_Rx_INP_DIS                (* (reg8 *) CAN_Rx__INP_DIS)
/* LCD Common or Segment Drive */
#define CAN_Rx_LCD_COM_SEG            (* (reg8 *) CAN_Rx__LCD_COM_SEG)
/* Enable Segment LCD */
#define CAN_Rx_LCD_EN                 (* (reg8 *) CAN_Rx__LCD_EN)
/* Slew Rate Control */
#define CAN_Rx_SLW                    (* (reg8 *) CAN_Rx__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CAN_Rx_PRTDSI__CAPS_SEL       (* (reg8 *) CAN_Rx__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CAN_Rx_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CAN_Rx__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CAN_Rx_PRTDSI__OE_SEL0        (* (reg8 *) CAN_Rx__PRTDSI__OE_SEL0) 
#define CAN_Rx_PRTDSI__OE_SEL1        (* (reg8 *) CAN_Rx__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CAN_Rx_PRTDSI__OUT_SEL0       (* (reg8 *) CAN_Rx__PRTDSI__OUT_SEL0) 
#define CAN_Rx_PRTDSI__OUT_SEL1       (* (reg8 *) CAN_Rx__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CAN_Rx_PRTDSI__SYNC_OUT       (* (reg8 *) CAN_Rx__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(CAN_Rx__SIO_CFG)
    #define CAN_Rx_SIO_HYST_EN        (* (reg8 *) CAN_Rx__SIO_HYST_EN)
    #define CAN_Rx_SIO_REG_HIFREQ     (* (reg8 *) CAN_Rx__SIO_REG_HIFREQ)
    #define CAN_Rx_SIO_CFG            (* (reg8 *) CAN_Rx__SIO_CFG)
    #define CAN_Rx_SIO_DIFF           (* (reg8 *) CAN_Rx__SIO_DIFF)
#endif /* (CAN_Rx__SIO_CFG) */

/* Interrupt Registers */
#if defined(CAN_Rx__INTSTAT)
    #define CAN_Rx_INTSTAT            (* (reg8 *) CAN_Rx__INTSTAT)
    #define CAN_Rx_SNAP               (* (reg8 *) CAN_Rx__SNAP)
    
	#define CAN_Rx_0_INTTYPE_REG 		(* (reg8 *) CAN_Rx__0__INTTYPE)
#endif /* (CAN_Rx__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CAN_Rx_H */


/* [] END OF FILE */
